Crystal Space: csGeomDebugHelper Class Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csGeomDebugHelper Class Reference
[Geometry utilities]

This is a class that does unit testing (and other debug stuff) for most of csgeom classes. More...

`#include <csgeom/math3d.h>`

Inheritance diagram for csGeomDebugHelper:

[legend]
List of all members.

## Public Member Functions
virtual csTicks | Benchmark (int)
| Perform a benchmark.
virtual bool | DebugCommand (const char *)
| Perform a debug command as defined by the module itself.
virtual void | Dump (iGraphics3D *)
| Do a graphical dump of the current state of this object.
virtual csPtr< iString > | Dump ()
| Do a text dump of the current state of this object.
virtual int | GetSupportedTests () const
| Return a bit field indicating what types of functions this specific unit test implementation supports.
virtual csPtr< iString > | StateTest ()
| Perform a state test.
virtual csPtr< iString > | UnitTest ()
| Perform a unit test.

## Detailed Description

This is a class that does unit testing (and other debug stuff) for most of csgeom classes.

Definition at line 674 of file math3d.h.

## Member Function Documentation

virtual csTicks csGeomDebugHelper::Benchmark | ( | int |  | ) | `[inline, virtual]`

Perform a benchmark.

This function will return a number indicating how long the benchmark lasted in milliseconds.

Implements iDebugHelper.

Definition at line 690 of file math3d.h.

virtual bool csGeomDebugHelper::DebugCommand | ( | const char * |  | ) | `[inline, virtual]`

Perform a debug command as defined by the module itself.

Returns 'false' if the command was not recognized.

Implements iDebugHelper.

Definition at line 701 of file math3d.h.

virtual void csGeomDebugHelper::Dump | ( | iGraphics3D * |  | ) | `[inline, virtual]`

Do a graphical dump of the current state of this object.

Implements iDebugHelper.

Definition at line 698 of file math3d.h.

virtual csPtr<iString> csGeomDebugHelper::Dump | ( |  | ) | `[inline, virtual]`

Do a text dump of the current state of this object.

Returns 0 if not supported or else a string which you should DecRef() after use.

Implements iDebugHelper.

Definition at line 694 of file math3d.h.

virtual int csGeomDebugHelper::GetSupportedTests | ( |  | ) | const`[inline, virtual]`

Return a bit field indicating what types of functions this specific unit test implementation supports.

This will return a combination of the CS_DBGHELP_... flags:

- CS_DBGHELP_UNITTEST
- CS_DBGHELP_BENCHMARK
- CS_DBGHELP_TXTDUMP
- CS_DBGHELP_GFXDUMP
- CS_DBGHELP_STATETEST

Implements iDebugHelper.

Definition at line 681 of file math3d.h.

References CS_DBGHELP_UNITTEST.

virtual csPtr<iString> csGeomDebugHelper::StateTest | ( |  | ) | `[inline, virtual]`

Perform a state test.

This function will test if the current state of the object is ok. It will return 0 if it is ok. Otherwise an iString is returned containing some information about the errors. DecRef() this returned string after using it.

Implements iDebugHelper.

Definition at line 686 of file math3d.h.

virtual csPtr<iString> csGeomDebugHelper::UnitTest | ( |  | ) | `[virtual]`

Perform a unit test.

This function will try to test as much as possible of the given module. This function returns 0 if the test succeeded. Otherwise an iString is returned containing some information about the errors. DecRef() this returned string after using it.

Implements iDebugHelper.

The documentation for this class was generated from the following file:

- csgeom/math3d.h